windows - smwebmail og ISAPI udvidelse under gendannelse backup

Indlæg af Hanne Mølgaard Plasc

Problem



Hej jeg vil gendanne backup i Plesk Windows og få disse fejl


Advarsel:
PHP-handler 5 ISAPI-udvidelsen (id=isapi-5) er ikke tilgængelig. I stedet bruger Plesk 7.2.5 FastCGI applikation (id=fastcgi-7.2) til følgende websteder: ####


Advarsel:
Webmail-tjenesten smwebmail er ikke tilgængelig. Det vil blive erstattet med horde for følgende objekter: ####


hvordan kan jeg aktivere ISAPI?
hvordan kan jeg installere smwebmail?


Tak.

Bedste reference


Det ser ud til, at du forsøger at gendanne backupen på en nyere server med en anden konfiguration.


PHP 5 som en ISAPI-udvidelse er faktisk PHP-version 5.2, som ikke længere understøttes af PHP-fællesskabet. Det anbefales at ændre webstedskoden for at gøre den kompatibel med nyere PHP-versioner. Den ældste understøttede PHP-version er i øjeblikket 5,6.


Hvis du stadig vil bruge PHP 5.2 ISAPI, kan du tilføje til enhver Plesk-version undtagen Plesk Onyx 17.8 i Værktøjer & Indstillinger> Opdateringer & Opgraderinger eller via en enkelt linje i CMD:


C:>"\%plesk\_bin\%ai.exe" --select-release-current --install-component php5


Hvad angår smwebmail, skal du have SmarterMail installeret på serveren og konfigureret i Plesk. Jeg foreslår at henvise til Plesk dokumentation og help center for nøjagtige instruktioner, da den indeholder alle nødvendige oplysninger. Her er nogle links:


Hvordan konfigureres en lokal SmarterMail-server til Plesk? [3]


Hvordan aktiveres yderligere PHP-version tilgængelig i Plesk? [4]